/*
 * Class NATIVE_ARRAY [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_501 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_501 [] = {0xFF01,237,500,185,0xFFFF};
static const EIF_TYPE_INDEX egt_2_501 [] = {0xFF01,500,185,0xFFFF};
static const EIF_TYPE_INDEX egt_3_501 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_501 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_501 [] = {0xFF01,500,185,0xFFFF};
static const EIF_TYPE_INDEX egt_6_501 [] = {0xFF01,500,185,0xFFFF};
static const EIF_TYPE_INDEX egt_7_501 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_501 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_501 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_501 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_501 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_501 [] = {500,185,0xFFFF};
static const EIF_TYPE_INDEX egt_13_501 [] = {0xFF01,500,185,0xFFFF};
static const EIF_TYPE_INDEX egt_14_501 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_501[] = {
	{EIF_GENERIC(NULL), 51, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_501), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_501), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_501), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_501), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_501), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_501), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_501), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_501), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_501), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_501), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_501), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_501), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_501), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_501), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_501), -1, 0xFFFFFFFF},
};
void Init501(void)
{
	IDSC(desc_501, 0, 500);
	IDSC(desc_501 + 1, 1, 500);
	IDSC(desc_501 + 32, 291, 500);
}


#ifdef __cplusplus
}
#endif
